//*************************************************************
// システム名     電子入札物品コアシステム
// サブシステム名 電子入札・開札システム
//
// 紙入札移行情報登録内容確認機能
// @author NEC
// @version 1.0, 2003.01.15, 新規作成
// @version 4.0, 2004.02.27, V4-統合-004対応<BR>
//*************************************************************

//--------------------------------------------------
// HTML読込み時の初期処理
//--------------------------------------------------
function onStart()
{
  // 読込み時共通処理
  onLoad();

  // 予定価格表示処理
  showPlannedPrice();
}//onStart

//--------------------------------------------------
// 登録ボタン押下時処理
//--------------------------------------------------
function onRegist()
{
  dispatch( document.formHPC004, 'H634HPC005' );
}//onRegist

//--------------------------------------------------
// 修正ボタン押下時処理
//--------------------------------------------------
function onUpdate( executeCount )
{
  // 編集執行回数
  document.formHPC004.editExecuteCount.value=executeCount;

  // 表示要求
  document.formHPC004.processType.value=4;

  // リクエスト送信
  dispatch( document.formHPC004, 'H6321HPC003' );
}//onUpdate

//--------------------------------------------------
// 削除ボタン押下時処理
//--------------------------------------------------
function onDelete( executeCount , resultNumber)
{
  // 落札判定が「落札」または「不調」の場合は
  // 指定執行回数削除後に、紙入札情報入力画面へ遷移
  if( resultNumber == 2 || resultNumber == 6){
  
    if( !prepareDispatch( document.formHPC004, 'H6331HPC003' ) ){
      return;
    }

    document.formHPC004.editExecuteCount.value=executeCount;
    // 表示要求
    document.formHPC004.processType.value=4;

  // 以外は、紙入札情報登録内容確認画面へ遷移
  }else{
    if( !prepareDispatch( document.formHPC004, 'H6331HPC004' ) ){
      return;
  }

    document.formHPC004.editExecuteCount.value=executeCount;
  }

  if( !confirm( "削除しても宜しいですか？" ) )
  {
    resetCommandFormObj();
    return;
  }

  // 執行回数削除処理は、入力オブジェクト（EbH6331）にて行う。
  //  commandFormObj.removeChild( commandFormObj["bidResultNumber_"+executeCount] );
  //  document.formHPC004.editExecuteCount.value=executeCount;

  // リクエスト送信
  request();
}//onDelete

//--------------------------------------------------
// 調達案件情報照会画面表示
//--------------------------------------------------
function showProjectInfo()
{
  dispatchPopup( document.formRegist, "H509HPR005" );
}//showProjectInfo
